diff -cNr hyperestraier.old/Portfile hyperestraier/Portfile
*** hyperestraier.old/Portfile	Tue Aug 16 04:11:08 2005
--- hyperestraier/Portfile	Wed Aug 31 07:03:16 2005
***************
*** 2,8 ****
  
  PortSystem		1.0
  name			hyperestraier
! version			0.5.4
  categories		textproc
  maintainers		pelopor@nifty.com
  description		Hyper Estraier is a full-text search system.
--- 2,8 ----
  
  PortSystem		1.0
  name			hyperestraier
! version			0.5.5.1
  categories		textproc
  maintainers		pelopor@nifty.com
  description		Hyper Estraier is a full-text search system.
***************
*** 11,38 ****
  	documents for some documents including specified words. If you run a web\
  	site, it is useful as your own search engine for pages in your site. Also,\
  	it is useful as search utilities of mail boxes and file servers.\
- 	\
- 	The characteristic of Hyper Estraier is the following.\
- 	\
-     	* High performance of search\
-     	* High scalability of target documents\
-     	* Perfect recall ratio by N-gram method\
-     	* Phrase search, attribute search, and similarity search\
-     	* Multilingualism with Unicode\
-     	* Independent of file format and repository\
-     	* Simple and powerful API\
-     	* Supporting P2P architecture (in the future)\
- 	\
  	Hyper Estraier is an open-source software released under the terms of the\
  	GNU Lesser General Public License.\
  
  homepage	 	http://hyperestraier.sourceforge.net/
  platforms		darwin
  depends_lib		port:qdbm bin:iconv:libiconv lib:libz:zlib 
! patchfiles 		patch-configure.diff patch-Makefile.in.diff
! master_sites 	http://hyperestraier.sourceforge.net/
! checksums		md5 2d92b1a6bfde553b5b9219b248f3eed3
  
  configure.env 	CFLAGS="-no-cpp-precomp -L${prefix}/lib" \
  				 CPPFLAGS="-I${prefix}/include" LDFLAGS="-L${prefix}/lib"
  configure.args	--mandir=${prefix}/share/man --datadir=${prefix}/share/doc
--- 11,43 ----
  	documents for some documents including specified words. If you run a web\
  	site, it is useful as your own search engine for pages in your site. Also,\
  	it is useful as search utilities of mail boxes and file servers.\
  	Hyper Estraier is an open-source software released under the terms of the\
  	GNU Lesser General Public License.\
  
  homepage	 	http://hyperestraier.sourceforge.net/
  platforms		darwin
  depends_lib		port:qdbm bin:iconv:libiconv lib:libz:zlib 
! master_sites 	sourceforge
  
+ worksrcdir		${name}-0.5.5
+ checksums		md5 f31832ed1b25df677671689d6ff5525f
+ post-extract	{
+ 				#configure
+ 				reinplace "s|\$HOME|\$PREFIX|g" \
+ 					${worksrcpath}/configure
+ 				reinplace "s|/usr/local|\$PREFIX|g" \
+ 					${worksrcpath}/configure
+ 				# Makefile.in
+ 				reinplace "s|\$(HOME)|\${prefix}|g" \
+ 					${worksrcpath}/Makefile.in
+ 				reinplace "s|/usr/local/include -I/usr|\${prefix}|g" \
+ 					${worksrcpath}/Makefile.in
+ 				reinplace "s|/usr/local|\${prefix}|g" \
+ 					${worksrcpath}/Makefile.in
+ 				reinplace "s|install_name libestraier.\$(LIBVER).dylib|install_name \$(MYLIBDIR)/libestraier.\$(LIBVER).dylib|g" \
+ 					${worksrcpath}/Makefile.in
+ 
+ 				}
  configure.env 	CFLAGS="-no-cpp-precomp -L${prefix}/lib" \
  				 CPPFLAGS="-I${prefix}/include" LDFLAGS="-L${prefix}/lib"
  configure.args	--mandir=${prefix}/share/man --datadir=${prefix}/share/doc
diff -cNr hyperestraier.old/files/patch-Makefile.in.diff hyperestraier/files/patch-Makefile.in.diff
*** hyperestraier.old/files/patch-Makefile.in.diff	Tue Aug 16 04:11:08 2005
--- hyperestraier/files/patch-Makefile.in.diff	Thu Jan  1 09:00:00 1970
***************
*** 1,36 ****
- --- Makefile.in.orig	2005-07-23 20:04:57.000000000 +0900
- +++ Makefile.in	2005-07-23 20:11:21.000000000 +0900
- @@ -50,16 +50,16 @@
-  
-  # Building binaries
-  CC = @CC@
- -CPPFLAGS = -I. -I$(HOME)/include -I/usr/local/include -I/usr/include/qdbm @MYCPPOPTS@ \
- +CPPFLAGS = -I. -I${prefix}/include -I${prefix}/include/qdbm @MYCPPOPTS@ \
-    -D_XOPEN_SOURCE_EXTENDED=1 -D_GNU_SOURCE=1 -D__EXTENSIONS__=1 -D_HPUX_SOURCE=1 \
-    -DPIC=1 -D_REENTRANT=1
-  CFLAGS = @MYCFLAGS@
- -LDFLAGS = -L. -L$(HOME)/lib -L/usr/local/lib @MYLDOPTS@
- +LDFLAGS = -L. -L${prefix}/lib @MYLDOPTS@
-  LIBS = @LIBS@
-  MTLIBS = @MYMTLIBS@
-  SKLIBS = @MYSKLIBS@
- -LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:@MYRUNPATH@:.
- -RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:@MYRUNPATH@
- +LDENV = LD_RUN_PATH=/lib:/usr/lib:${prefix}/lib:@MYRUNPATH@:.
- +RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:${prefix}/lib:@MYRUNPATH@
-  MYPOSTCMD = @MYPOSTCMD@
-  
-  
- @@ -377,10 +377,9 @@
-  libestraier.so : libestraier.so.$(LIBVER).$(LIBREV).0
-  	ln -f -s libestraier.so.$(LIBVER).$(LIBREV).0 $@
-  
- -
- -libestraier.$(LIBVER).0.0.dylib :
- +libestraier.$(LIBVER).$(LIBREV).0.dylib :
-  	$(CC) -dynamiclib -o $@ \
- -	  -install_name libestraier.$(LIBVER).dylib \
- +	  -install_name $(MYLIBDIR)/libestraier.$(LIBVER).dylib \
-  	  -current_version $(LIBVER).$(LIBREV).0 \
-  	  -compatibility_version $(LIBVER).$(LIBREV) \
-  	  $(MYLIBOBJS) $(LDFLAGS) $(SKLIBS) $(MTLIBS) $(LIBS)
--- 0 ----
diff -cNr hyperestraier.old/files/patch-configure.diff hyperestraier/files/patch-configure.diff
*** hyperestraier.old/files/patch-configure.diff	Tue Aug 16 04:11:08 2005
--- hyperestraier/files/patch-configure.diff	Thu Jan  1 09:00:00 1970
***************
*** 1,21 ****
- --- configure.orig	2005-07-23 20:04:51.000000000 +0900
- +++ configure	2005-07-23 20:06:17.000000000 +0900
- @@ -1276,12 +1276,12 @@
-  
-  # Building paths
-  pathtmp="$PATH"
- -PATH="$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
- -PATH="$PATH:/usr/ccs/bin:/usr/ucb:$pathtmp"
- -LIBRARY_PATH="$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
- -LD_LIBRARY_PATH="$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
- -CPATH="$HOME/include:/usr/local/include:$CPATH"
- -PKG_CONFIG_PATH="$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
- +PATH="$PREFIX/bin:${prefix}/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
- +PATH="$PREFIX/bin:/usr/ccs/bin:/usr/ucb:$pathtmp"
- +LIBRARY_PATH="$PREFIX/lib:$LIBRARY_PATH"
- +LD_LIBRARY_PATH="$PREFIX/lib:$LD_LIBRARY_PATH"
- +CPATH="$PREFIX/include:$CPATH"
- +PKG_CONFIG_PATH="$PREFIX/lib/pkgconfig"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-  if type pkg-config > /dev/null 2>&1
-  then
--- 0 ----
